﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SQLite;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AAE2023_10
{
    public partial class Form1 : Form
    {
        String connectionString = "Data source=aae2023_10.db;Version=3";
        SQLiteConnection connection;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            string selectSQL = "Select * from Smartphone";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText("\n");
            }
            connection.Close();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            connection = new SQLiteConnection(connectionString);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            string selectSQL = "Select * from Smartphone " +
                "where Brand=@brand";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            command.Parameters.AddWithValue("brand", textBox1.Text);
            SQLiteDataReader reader = command.ExecuteReader();
            if (!reader.HasRows)
            {
                MessageBox.Show("Nothing found...");
            }
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(3).ToString());
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(4));
                richTextBox1.AppendText("\n");
            }
            connection.Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            string selectSQL = "Select * from Smartphone " +
                "where Upper(Brand)=@brand";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            command.Parameters.AddWithValue("brand", textBox2.Text.ToUpper());
            SQLiteDataReader reader = command.ExecuteReader();
            if (!reader.HasRows)
            {
                MessageBox.Show("Nothing found...");
            }
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(3).ToString());
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(4));
                richTextBox1.AppendText("\n");
            }
            connection.Close();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            richTextBox1.Clear();
            connection.Open();
            string selectSQL = "Select * from Smartphone " +
                "where Upper(Brand) like @brand";
            SQLiteCommand command = new SQLiteCommand(selectSQL, connection);
            command.Parameters.AddWithValue("brand", "%"+textBox3.Text.ToUpper()+"%");
            SQLiteDataReader reader = command.ExecuteReader();
            if (!reader.HasRows)
            {
                MessageBox.Show("Nothing found...");
            }
            while (reader.Read())
            {
                richTextBox1.AppendText(reader.GetString(1));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(2));
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetInt16(3).ToString());
                richTextBox1.AppendText(",");
                richTextBox1.AppendText(reader.GetString(4));
                richTextBox1.AppendText("\n");
            }
            connection.Close();
        }
    }
}
